# -*- encoding: utf-8 -*-
# stub: nsa 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "nsa".freeze
  s.version = "0.3.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["BJ Neilsen".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-02-02"
  s.description = "Listen to your Rails ActiveSupport::Notifications and deliver to a Statsd compatible backend".freeze
  s.email = ["bj.neilsen@gmail.com".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "bin/setup".freeze, "lib/nsa.rb".freeze, "lib/nsa/collectors/action_controller.rb".freeze, "lib/nsa/collectors/active_record.rb".freeze, "lib/nsa/collectors/active_support_cache.rb".freeze, "lib/nsa/collectors/null.rb".freeze, "lib/nsa/collectors/sidekiq.rb".freeze, "lib/nsa/statsd.rb".freeze, "lib/nsa/statsd/async_publisher.rb".freeze, "lib/nsa/statsd/informant.rb".freeze, "lib/nsa/statsd/publisher.rb".freeze, "lib/nsa/statsd/subscriber.rb".freeze, "lib/nsa/version.rb".freeze, "nsa.gemspec".freeze]
  s.homepage = "https://github.com/localshred/nsa".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Publish Rails application metrics to statsd".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activesupport>.freeze, ["< 7.2".freeze, ">= 4.2".freeze])
  s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0".freeze, ">= 1.0.2".freeze])
  s.add_runtime_dependency(%q<sidekiq>.freeze, [">= 3.5".freeze])
  s.add_runtime_dependency(%q<statsd-ruby>.freeze, ["~> 1.4".freeze, ">= 1.4.0".freeze])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0".freeze])
  s.add_development_dependency(%q<mocha>.freeze, ["~> 1.11".freeze])
  s.add_development_dependency(%q<byebug>.freeze, ["~> 10".freeze])
end

